兼容的 Java 环境 - 7.3

Talend Big Data Platform 安装指南,适用于:Mac

EnrichVersion
7.3
EnrichProdName
Talend Big Data Platform
task
数据治理
EnrichPlatform
Talend Activity Monitoring Console
Talend Administration Center
Talend Artifact Repository
Talend CommandLine
Talend Data Preparation
Talend Data Stewardship
Talend DQ Portal
Talend Identity and Access Management
Talend Installer
Talend JobServer
Talend Log Server
Talend Repository Manager
Talend Runtime
Talend SAP RFC Server
Talend Studio

下表提供了有关您应下载和安装以使用 Talend 产品的建议 Java 环境的信息。

“编译器合规性级别”对应于用于作业代码生成的 Java 版本。此选项可在 Studio 首选项中更改有关更多信息,请参阅《Talend Studio 用户指南》。

注: 所有 Talend 产品及相关的第三方应用程序,例如 Hadoop 集群,都应使用相同的 Java 版本以确保合规性。在您安装或升级任何相关的第三方应用程序之前,Talend 建议您检查它们支持的 Java 版本。

在下面的文档中:

  • 建议:指定由 Talend 根据我们的经验和客户使用情况建议的环境。
  • 支持:指定支持用于所列组件或服务的环境。
  • 带限制的支持:指定受 Talend 支持但具有说明中交待的某些条件的环境。

Studio Java 环境

Talend Studio 的兼容 Java 环境
Java Platform Java 版本 1、2、3 支持类型
OpenJDK (建议发行版:Zulu) 11 建议
8 支持
Oracle JDK 11 建议
8 支持

1 在运行 Oracle 8 时,Studio 应符合 JDK Compiler Compliance Level 1.8 (默认) 的要求。如果安装的 JDK 版本低于 1.8.0_161,您还需要安装附加资源 Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files。这也适用于独立作业的执行。

2 在运行 Oracle 11 时,Studio 应符合 JDK Compiler Compliance Level 11 (默认) 的要求。

服务器 Java 环境

服务器模块包括:

  • Talend Activity Monitoring Console
  • Talend Administration Center
  • Talend Artifact Repository
    注: Artifactory 支持 Java 8 和 Java 11,Sonatype Nexus 支持 Java 8。
  • Talend CommandLine
  • Talend Data Preparation
  • Talend DQ Portal
  • Talend JobServer
  • Talend Log Server
  • Talend Repository Manager
  • Talend Runtime
Talend Server 模块的兼容 Java 环境
Talend Server 模块 Java Platform Java 版本 1、2、3 支持类型
Talend JobServer OpenJDK 11 建议
8 支持
Oracle JDK 11 建议
8 支持
Talend MDM Server OpenJDK 11 建议
8 支持
Oracle JDK 11 建议
8 支持
Talend ESB/Talend Runtime OpenJDK 11 建议
8 支持
Oracle JDK 11 建议
8 支持
Talend ESB/Microservice OpenJDK 11 建议
8 支持
Oracle JDK 11 建议
8 支持
Talend 服务器应用程序 OpenJDK 11 建议
8 支持
Oracle JDK 11 建议
8 支持
注: 7.1 版本中已弃用 Talend DQ Portal,且不支持 Oracle 11 或 OpenJDK 11。如果正在运行 Java 11,安装程序将禁用此程序。

1 在运行 Oracle 8 时,Studio 应符合 JDK Compiler Compliance Level 1.8 (默认) 的要求。

2 在运行 Oracle 11 时,Studio 应符合 JDK Compiler Compliance Level 11 (默认) 的要求。

3 OpenJDK 的建议发行版为 Zulu